repasa
Anterior | Documentación de referencia de programas | Siguiente

## Nombre de referencia

repasa — Permite repasar definiciones eventualmente clasificadas y organizadas dentro de una secuencia empleando una interfaz texto

## Sinopsis

repasa [`opciones`] `arch-sec`|`arch-cla`|`arch-def` [ `...`]

## Descripción

Este programa permite repasar definiciones. Puede cuestionar sobre definiciones bien con preguntas abiertas o bien con preguntas de selección múltiple.

En la línea de comandos puede recibir información sobre las definiciones disponibles para preguntar en:

- Uno o más archivos de definiciones (ver def(5))

- Uno o más archivos de clasificaciones (ver clasif(5))

- Uno o más archivos de secuencia (ver sec(5))

- Mezcla de los anteriores

De cada archivo de definiciones leerá todas las definiciones, suponiendo que no están clasificadas ni en secuencia alguna; estas definiciones no tendrán peso. De cada archivo de clasificaciones leerá todas las definiciones referenciadas junto con el peso de las que tengan. De cada archivo de secuencia permitirá escoger la(s) secuencia(s) por repasar (a menos que se especifique todas con la opción `-todas`), y tendrá en cuenta las definiciones referenciadas en las clasificaciones referenciadas en la(s) secuencia(s) escogida(s).

Además del peso, de las pistas, de las palabras de despiste, de la heurística de respuesta y de la historia de progreso, cada definición leída tendrá asociada la(s) secuencia(s) que la referencia(n) y la(s) clasificación(es) que la referencia(n). Información que puede ser mostrada o no de acuerdo a las opciones elegidas (e.g `-prescla`, `-prescla-no`, `-prehist`, etc). Las preguntas que se hacen durante una sesión se determinan:

- De acuerdo a la cantidad máxima de preguntas especificada con la opción `-maxpreg `valor`` (por defecto 10).

- De acuerdo al valor de política, calculado empleando una política de estudio. Se preguntan los que mayor valor de política tengan.

- El orden de formulación es aleatorio.

La política de estudio es una función que a partir de información sobre cada definición (peso e historia de progreso) calcula el valor de política (i.e un número flotante). Hay varias políticas de estudio predefinidas (elegibles con opciones de la forma `pol_`id`` desde la línea de comandos). También es posible especificar su propia política de estudio como una función en lenguaje `prom` escrita un archivo, archivo que se especifica con la opción `pol_prom` (ver sección sobre política de estudio).

En las preguntas abiertas puede emplearse una heurística para determinar si la respuesta dada por quien repasa es correcta. En el momento de este escrito la única heurística implementada es "indist" que no hace distinción entre mayúsculas y minúsculas. En las preguntas de selección múltiple el número de opciones por defecto es 4. Puede cambiarse con la opción `-nummultiple `valor``, las opciones se sacarán aleatoriamente de las palabras de despiste que haya para la definición y de ser necesario de otras palabras leídas. Por defecto se hacen preguntas abiertas o de selección múltiple de forma aleatoria, puede especificarse hacer sólo un tipo de pregunta con las opciones `forma_abierta` o `forma_multiple`.

Si la respuesta a una pregunta es errada, de acuerdo a las opciones, podría mostrarse a quien repasa la secuencia en la que aparece la definición (opciones `-pressec-no` o `-presec`), una pista si hay una para la definición (`-prespista` o `-prespista-no`) y eventualmente repetir la pregunta (`-repetir` o `-repetir-no`).

Al final de la sesión, el progreso de quien repasa (i.e cantidad de veces que se formula cada pregunta y número de respuestas correctas) es almacenado en un archivo de progreso que por defecto es `~/.repasa` y que puede cambiarse con la opción `-prd `archivo`` (ver prd(5)). También al final de la sesión se envía un correo a una cuenta configurada (opción `correo` o a 'structio-info@lists.sourceforge.net') con las sugerencias que quien repasa haya hecho a las preguntas que contesta erradamente.

Las opciones son las siguientes:

`-ayuda`

  Presenta ayuda corta y opciones

`-D`

  Establece otro directorio en el cual buscar archivos con más precedencia

`-man`

  Presenta página del manual

`-refentry`

  Presenta página del manual en formato DocBook

`-V`

  Versión de este programa

`-c`

  Establece nombre del archivo de clasificaciones por defecto (si se omite se usa el mismo nombre del archivo de secuencia pero con extensión .cla)

`-d`

  Establece nombre del archivo de definiciones por defecto (si se omite se usa el mismo nombre del archivo especificado pero con extensión .def)

`-forma-abierta`

  Forma de pregunta: abierta

`-forma-aleatoria`

  Forma de pregunta: aleatoria

`-forma-multiple`

  Forma de pregunta: selección múltiple

`-forma-ahorcado`

  Forma de pregunta: ahorcado

`-correo`

  Establece correo al cual enviar sugerencias sobre preguntas o respuestas (por defecto structio-info@lists.sourceforge.net)

`-nummultiple`

  Establece cantidad máxima de opciones en una pregunta de selección múltiple (por defecto 4)

`-maxpreg`

  Establece cantidad máxima de preguntas (por defecto 10)

`-todaspreg`

  Indica que todas las definiciones disponibles deben preguntarse

`-prd`

  Establece nombre del archivo de progreso por defecto

`-pol-aleatoria`

  El valor de política es aleatorio

`-pol-autores`

  Cómo política usa valores predeterminados para cada definición

`-pol-igual`

  Usa política en la que todas las preguntas tienen igual valor

`-pol-progreso`

  Usa una política que tiene en cuenta su progreso

`-pol-prom`

  Usa como valor de política el computado por un programa en lenguaje prom , e.g -pol-prom "mifun.prom"

`-prescla`

  Presenta clasificaciones

`-prescla-no`

  No presenta clasificaciones (por defecto)

`-preshist`

  Presenta historial de progreso

`-preshist-no`

  No presenta historial de progreso (por defecto)

`-prespeso`

  Presenta pesos

`-prespeso-no`

  No presenta pesos (por defecto)

`-prespista`

  Presenta pistas (por defecto)

`-prespista-no`

  No presenta pistas

`-prespol`

  Presenta valor de pregunta con política de estudio (por defecto)

`-prespol-no`

  No presenta valor de pregunta con política de estudio

`-pressec`

  Presenta secuencias (por defecto)

`-pressec-no`

  No presenta secuencias

`-repetir`

  Repite pregunta en caso de falla (por defecto)

`-repetir-no`

  No repite pregunta en caso de falla

`-tiempo`

  Indica que no se podrá elegir secuencia por estudiar, se escogerán todas

`-todas`

  Indica que no se podrá elegir secuencia por estudiar, se escogerán todas

#### Política de estudio personalizada

La función en lenguaje `prom` que escriba recibirá las siguientes variables con valores relacionados con una sola definición:

`bien`

  Arreglo de flotantes con el número de veces que se respondió correctamente la definición en las fechas del arreglo `dia`.

`dia`

  Arreglo de flotantes con las fechas en las que la palabra fue contestada. Ordenada, las fechas más antiguas primero. Cada fecha es el número de días desde el 1/Ene/1970.

`ejecutor`

  Cadena constante "repasa"

`hoy`

  Fecha de hoy contada en días desde el 1/Ene/1970 y convertida a flotante.

`maxpeso`

  Peso máximo de todas las palabras.

`peso`

  Entero con peso de la palabra de acuerdo a la clasificación

`preguntada`

  Arreglo de flotantes con la cantidad de veces que la pregunta se formuló en las fechas del arreglo `dia`.

Es recomendable que comience su función asegurando que está siendo usada en el contexto correcto:

    assert(ejecutor=="repasa");

Puede emplear todas las construcciones del lenguaje (intprom(1)) para retornar un flotante con el valor de política. Entre mayor sea el valor retornado más posibilidad tendrá la definición de ser preguntada en la sesión. Por ejemplo para tener en cuenta sólo el peso de la palabra:

    assert(ejecutor=="repasa");
    return peso;

## Ejemplos

    repasa regr/ejsimple.def

Escoge definiciones por repasar del archivo `regr/ejsimple.def`

## Ver también

repchq(1)

## Fallas

La misma falla con DocBook y TeX de repchq (ver repchq(1))

Anterior | Subir | Siguiente
repchq | Inicio | intprom